Application: gvSIG desktop - gvSIG bugs #2434
Refresco de tabla y campo Geometry al editar
03/10/2014 10:51 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.1.0-2222-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2221 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Sobre un shp cualquiera:

- Lo ponemos en edicién

- Abrimos su tabla

- Ahadimos una nueva columna y editamos algunas celdas con datos

- Vamos a la Vista y cerramos la edicion de la capa.

- En la tabla no aparece la nueva columna que hemos creado y visualizamos un campo "GEOMETRY" sin datos. Al usuario le da la
sensacion de que no se ha creado su campo y ademas se encuentra con un campo que puede no saber qué es.

- Si consultamos las propiedades de la tabla vemos que si esta el nuevo campo que hemos creado (y activado como visible) y que el
campo "Geometry" sigue como no visible.

- Si eliminamos la capa y la volvemos a cargar aparece correctamente, con el nuevo campo que hemos creado.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2283: Out of memory navi... Closed 02/03/2014

Associated revisions

Revision 41250 - 03/25/2014 10:28 AM - Joaquin del Cerro Murciano

Corregido refresco incorrecto en la tabla al modificar su estructura y terminar edicion.
refs #2434

History

#1 - 03/25/2014 03:29 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#2 - 03/28/2014 01:13 PM - Alvaro Anguix
- Status changed from Fixed to Closed
